﻿Option Strict On
Imports System.Net
Imports System.IO
Imports System.Text

Class MainWindow
    Dim getUri As String = String.Empty
    Private Sub MainWindow_Loaded(sender As Object, e As System.Windows.RoutedEventArgs) Handles Me.Loaded
        Dim myWebClient As New WebClient

        AddHandler myWebClient.DownloadStringCompleted, Sub(resultSender As Object, resultArgs As DownloadStringCompletedEventArgs)
                                                            If resultArgs.Error Is Nothing = False Then
                                                                MessageBox.Show("Channelファイルが見つかりません")
                                                                Exit Sub
                                                            Else
                                                                getUri = resultArgs.Result
                                                            End If
                                                        End Sub

        '「あなたのサーバーのURI」にTileNotification_NETをアップロードしたサーバーのURIを指定してください。
        myWebClient.DownloadStringAsync(New Uri("あなたのサーバーのURI/TileNotification_NET/SaveData/channelUri.txt", UriKind.Absolute))
    End Sub


    Private Sub Button1_Click(sender As System.Object, e As System.Windows.RoutedEventArgs) Handles Button1.Click
        Dim myWebRequest As HttpWebRequest = DirectCast(WebRequest.Create(getUri), HttpWebRequest)
        myWebRequest.Method = "POST"
        Dim value1 As String = valueTextBox1.Text
        Dim value2 As String = valueTextBox2.Text
        Dim rawXmlData As XDocument = <?xml version="1.0" encoding="utf-8"?>
                                      <root>
                                          <Value1><%= value1 %></Value1>
                                          <Value2><%= value2 %></Value2>
                                      </root>
        Dim roadRawData As XElement = XElement.Parse(rawXmlData.ToString)

        Dim myNotificationMessage As Byte() = Encoding.UTF8.GetBytes(roadRawData.ToString)

        With myWebRequest
            .ContentLength = myNotificationMessage.Length
            .ContentType = "text/xml"
            .Headers.Add("X-NotificationClass", "3")
        End With

        Dim myStream As Stream = myWebRequest.GetRequestStream()
        myStream.Write(myNotificationMessage, 0, myNotificationMessage.Length)
        myStream.Close()

    End Sub


End Class
